Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1603062 - Server don't start
Summary: Server don't start
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mongodb
Version: rawhide
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-19 05:04 UTC by Remi Collet
Modified: 2018-08-15 14:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-15 14:22:54 UTC


Attachments (Terms of Use)

Description Remi Collet 2018-07-19 05:04:16 UTC
Works fine on other 64-bit arch, not on ppc64

See https://koji.fedoraproject.org/koji/taskinfo?taskID=28429165

+ mongod --journal --ipv6 --unixSocketPrefix /tmp --logpath /builddir/build/BUILD/mongo-c-driver-1.12.0/server.log --pidfilepath /builddir/build/BUILD/mongo-c-driver-1.12.0/server.pid --dbpath /builddir/build/BUILD/mongo-c-driver-1.12.0/dbtest --fork
2018-07-19T04:59:03.478+0000 I CONTROL  [main] Automatically disabling TLS 1.0, to force-enable TLS 1.0 specify --sslDisabledProtocols 'none'
about to fork child process, waiting until server is ready for connections.
forked process: 21936
ERROR: child process failed, exited with error number 100

Comment 1 Jan Kurik 2018-08-14 09:52:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Marek Skalický 2018-08-15 14:22:54 UTC
mongodb is now working fine on ppc64. So closing.

mongo-c-driver is fails to build because of failing test suite on x86_64. See https://bugzilla.redhat.com/show_bug.cgi?id=1616292


Note You need to log in before you can comment on or make changes to this bug.